package com.example.application.navigation;

import com.vaadin.flow.router.WildcardParameter;
import org.springframework.lang.NonNull;
import org.springframework.lang.Nullable;

import java.util.HashMap;
import java.util.Map;

public class NavigationUtils {

    public static Map<UrlParameterType, String> getParameterMap(@WildcardParameter String param) {
        Map<UrlParameterType, String> map = new HashMap<>();
        String[] params = param.split("/");
        switch (params.length) {
            case 3:
                map.put(UrlParameterType.MATCH, params[2]);
            case 2:
                map.put(UrlParameterType.MATCHDAY, params[1]);
            case 1:
                map.put(UrlParameterType.SEASON, params[0]);
            default:
                break;
        }
        return map;
    }

    @NonNull
    public static String getWildcardParam(String... params) {
        StringBuilder stringBuilder = new StringBuilder();
        for (String param : params) {
            if (param == null || param.equals("")) {
                break;
            }
            stringBuilder.append(param).append("/");
        }
        return stringBuilder.toString();
    }
}
